> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Extensions for UI consumption

> List Extensions with admin-only fields omitted. Intended for non-admin UI consumption. Only returns globally-enabled, non-deleted Extensions whose mount config for the requested `mount_point_type` is enabled.




## OpenAPI

````yaml /api-specs/cloud/public-api.yaml get /api/extensions/beta/extensions-ui
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: cloud
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: Extensions
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: PersonalAccessToken
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsCommits
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/extensions/beta/extensions-ui:
    get:
      tags:
        - Extensions
      summary: List Extensions for UI consumption
      description: >
        List Extensions with admin-only fields omitted. Intended for non-admin
        UI consumption. Only returns globally-enabled, non-deleted Extensions
        whose mount config for the requested `mount_point_type` is enabled.
      operationId: listExtensionsUi
      parameters:
        - description: The mount point type to filter by. Can accept multiple values.
          explode: true
          in: query
          name: mount_point_type
          required: true
          schema:
            items:
              $ref: '#/components/schemas/UIMountPointType'
            minItems: 1
            type: array
          style: form
        - description: The id of the project to filter by.
          in: query
          name: project_id
          required: false
          schema:
            type: string
        - description: >-
            Filter Extensions by their kind (e.g. "DominoOfficial",
            "Uncategorized").
          in: query
          name: kind
          required: false
          schema:
            $ref: '#/components/schemas/ExtensionKind'
        - description: >
            Filter Extensions by a case-insensitive substring match against name
            or description.
          in: query
          name: search_query
          required: false
          schema:
            type: string
        - description: >-
            The maximum number of results to return. Use 0 for no limit
            (default).
          in: query
          name: limit
          required: false
          schema:
            minimum: 0
            type: integer
        - description: >-
            The number of results to skip before starting to collect the result
            set.
          in: query
          name: offset
          required: false
          schema:
            minimum: 0
            type: integer
        - description: >-
            The field to sort by. By default, results are sorted by creation
            time.
          in: query
          name: sort_by
          required: false
          schema:
            $ref: '#/components/schemas/PaginationMetaSortBy'
        - description: >-
            The order to sort results in. By default, results are sorted in
            descending order.
          in: query
          name: order_by
          required: false
          schema:
            $ref: '#/components/schemas/PaginationMetaOrder'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListExtensionsUiResponse'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    UIMountPointType:
      description: The type of mount point for the Extension.
      enum:
        - adminPanel
        - netAppVolume
        - dataset
        - projectSidebar
        - netAppVolumeFileContext
        - datasetFileContext
        - modelDetails
      type: string
    ExtensionKind:
      description: The category of the Extension.
      enum:
        - DominoOfficial
        - Uncategorized
      type: string
    PaginationMetaSortBy:
      description: The field that the list of Extensions is sorted by.
      enum:
        - createdAt
        - name
        - updatedAt
        - totalViews
      type: string
    PaginationMetaOrder:
      description: The order that the list of Extensions is sorted in.
      enum:
        - asc
        - desc
      type: string
    ListExtensionsUiResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ExtensionUiResponse'
          type: array
        meta:
          $ref: '#/components/schemas/PaginationMeta'
      required:
        - meta
        - data
      type: object
    ExtensionUiResponse:
      description: >-
        Non-admin, UI-facing view of an Extension. Drops admin fields including
        enabled flags and project-scoped mountPoints arrays.
      properties:
        appId:
          description: The id of the App associated with the Extension.
          type: string
        appVersionId:
          description: The version of the App associated with the Extension.
          type: string
        createdAt:
          description: The date and time when the Extension was created.
          format: date-time
          type: string
        createdBy:
          $ref: '#/components/schemas/UserSummary'
        description:
          description: The description of the Extension.
          type: string
        id:
          description: The id of the Extension.
          type: string
        kind:
          $ref: '#/components/schemas/ExtensionKind'
        name:
          description: The name of the Extension.
          type: string
        totalViews:
          description: The total number of views across all app versions.
          format: int64
          type: integer
        uiMountPointTypeConfigs:
          $ref: '#/components/schemas/UIMountPointTypeUiConfigs'
        updatedAt:
          description: The date and time when the Extension was last updated.
          format: date-time
          type: string
        updatedBy:
          $ref: '#/components/schemas/UserSummary'
      required:
        - id
        - name
        - appId
        - uiMountPointTypeConfigs
        - kind
        - totalViews
        - createdAt
        - createdBy
        - updatedAt
        - updatedBy
      type: object
    PaginationMeta:
      properties:
        filters:
          items:
            $ref: '#/components/schemas/PaginationMetaFilter'
          type: array
        orderBy:
          $ref: '#/components/schemas/PaginationMetaOrder'
        pagination:
          $ref: '#/components/schemas/PaginationMetaPagination'
        sortBy:
          $ref: '#/components/schemas/PaginationMetaSortBy'
      required:
        - filters
        - pagination
        - sortBy
        - orderBy
      type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
    UserSummary:
      description: Information about a Domino user including id and names.
      properties:
        firstName:
          description: The first name of the user.
          type: string
        id:
          description: The id of the user.
          type: string
        lastName:
          description: The last name of the user.
          type: string
        userName:
          description: The username of the user.
          type: string
      required:
        - id
        - firstName
        - lastName
        - userName
      type: object
    UIMountPointTypeUiConfigs:
      description: >-
        UI-facing mount point type configurations. Drops the per-mount enabled
        flag and project-scoped mountPoints arrays.
      properties:
        adminPanel:
          $ref: '#/components/schemas/AdminPanelMountUiConfig'
        dataset:
          $ref: '#/components/schemas/DatasetMountUiConfig'
        datasetFileContext:
          $ref: '#/components/schemas/DatasetFileContextMountUiConfig'
        modelDetails:
          $ref: '#/components/schemas/ModelDetailsMountUiConfig'
        netAppVolume:
          $ref: '#/components/schemas/NetAppVolumeMountUiConfig'
        netAppVolumeFileContext:
          $ref: '#/components/schemas/NetAppVolumeFileContextMountUiConfig'
        projectSidebar:
          $ref: '#/components/schemas/ProjectSidebarMountUiConfig'
      type: object
    PaginationMetaFilter:
      description: The filters applied to the list of Extensions.
      properties:
        key:
          $ref: '#/components/schemas/PaginationMetaFilterKey'
        values:
          description: The values associated with the filter key.
          items:
            type: string
          type: array
      required:
        - key
        - values
      type: object
    PaginationMetaPagination:
      description: The pagination information for the list of Extensions.
      properties:
        limit:
          description: The number of Extensions returned per page.
          type: integer
        offset:
          description: >-
            The number of Extensions skipped before starting to collect the
            result set.
          type: integer
        totalCount:
          description: The total number of Extensions returned that match the filters.
          type: integer
      required:
        - limit
        - offset
        - totalCount
      type: object
    AdminPanelMountUiConfig:
      properties:
        urlConfig:
          $ref: '#/components/schemas/MountPointTypeUrlConfig'
      type: object
    DatasetMountUiConfig:
      properties:
        urlConfig:
          $ref: '#/components/schemas/MountPointTypeUrlConfig'
      type: object
    DatasetFileContextMountUiConfig:
      properties:
        allProjects:
          description: >-
            If true, the Extension applies to all projects. If false, it applies
            only to specific projects (the list itself is not exposed in this
            view).
          type: boolean
        fileTypes:
          description: >-
            The file types that the Extension should be mounted for in the
            dataset file context.
          items:
            type: string
          type: array
        urlConfig:
          $ref: '#/components/schemas/MountPointTypeUrlConfig'
      type: object
    ModelDetailsMountUiConfig:
      properties:
        urlConfig:
          $ref: '#/components/schemas/MountPointTypeUrlConfig'
      type: object
    NetAppVolumeMountUiConfig:
      properties:
        urlConfig:
          $ref: '#/components/schemas/MountPointTypeUrlConfig'
      type: object
    NetAppVolumeFileContextMountUiConfig:
      properties:
        allProjects:
          description: >-
            If true, the Extension applies to all projects. If false, it applies
            only to specific projects (the list itself is not exposed in this
            view).
          type: boolean
        fileTypes:
          description: >-
            The file types that the Extension should be mounted for in the
            NetApp volume file context.
          items:
            type: string
          type: array
        urlConfig:
          $ref: '#/components/schemas/MountPointTypeUrlConfig'
      type: object
    ProjectSidebarMountUiConfig:
      properties:
        allProjects:
          description: >-
            If true, the Extension applies to all projects. If false, it applies
            only to specific projects (the list itself is not exposed in this
            view).
          type: boolean
        urlConfig:
          $ref: '#/components/schemas/MountPointTypeUrlConfig'
      type: object
    PaginationMetaFilterKey:
      description: The field that the list of Extensions is filtered by.
      enum:
        - mount_point_type
        - project_id
        - enabled
        - mount_point_enabled
        - deleted
        - kind
        - search_query
      type: string
    MountPointTypeUrlConfig:
      description: >-
        URL configuration for links to the Extension's runtime (i.e. Domino App)
        for a particular mount point type.
      properties:
        contextualQueryParams:
          description: >-
            Query parameters whose values should be derived by the client from
            the user's context and added to the link. If the value cannot be
            derived from context, an empty value should be passed.
          items:
            $ref: '#/components/schemas/ContextualQueryParam'
          type: array
        route:
          description: >-
            The route within the app to link to. If absent, link should be
            constructed to the app's root.
          type: string
      type: object
    ContextualQueryParam:
      description: >-
        A query parameter whose value should be derived by the client from the
        user's context and added to the link. If the value cannot be derived
        from context, an empty value should be passed.
      enum:
        - projectId
        - netAppVolumeId
        - netAppVolumeSnapshotId
        - datasetId
        - datasetSnapshotId
        - filePath
        - modelId
        - modelVersionId
      type: string
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````